SHOWPEP(1e)

NAME
showpep - Displays protein sequences with features in pretty format

SYNOPSIS

showpep -sequence seqall -format list -things list [-uppercase range] [-highlight range] [-annotation range] [-sourcematch string] [-typematch string] [-minscore float] [-maxscore float] [-tagmatch string] [-valuematch string] [-stricttags boolean] -threeletter boolean -number boolean -width integer -length integer -margin integer -name boolean -description boolean -offset integer -html boolean -outfile outfile

showpep -help

DESCRIPTION

showpep is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Display" command group(s).

OPTIONS

  Input section

-sequence seqall

  Required section

-format list
    Default value: 2

-things list
    Specify a list of one or more code characters in the order in which you wish things to be displayed one above the other down the page. For example if you wish to see things displayed in the order: sequence, ticks line, blank line; then you should enter 'S,T,B'. Default value: B,N,T,S,A,F

  Additional section

-uppercase range
    Regions to put in uppercase. If this is left blank, then the sequence case is left alone. A set of regions is specified by a set of pairs of positions. The positions are integers. They are separated by any non-digit, non-alpha character. Examples of region specifications are: 24-45, 56-78 1:45, 67=99;765..888 1,5,8,10,23,45,57,99

-highlight range
    Regions to colour if formatting for HTML. If this is left blank, then the sequence is left alone. A set of regions is specified by a set of pairs of positions. The positions are integers. They are followed by any valid HTML font colour. Examples of region specifications are: 24-45 blue 56-78 orange 1-100 green 120-156 red A file of ranges to colour (one range per line) can be specified as '@filename'.

-annotation range
    Regions to annotate by marking. If this is left blank, then no annotation is added. A set of regions is specified by a set of pairs of positions followed by optional text. The positions are integers. They are followed by any text (but not digits when on the command-line). Examples of region specifications are: 24-45 new domain 56-78 match to Mouse 1-100 First part 120-156 oligo A file of ranges to annotate (one range per line) can be specified as '@filename'.

  Feature display options

-sourcematch string
    By default any feature source in the feature table is shown. You can set this to match any feature source you wish to show. The source name is usually either the name of the program that detected the feature or it is the feature table (eg: EMBL) that the feature came from. The source may be wildcarded by using '*'. If you wish to show more than one source, separate their names with the character '|', eg: gene* | embl Default value: *

-typematch string
    By default any feature type in the feature table is shown. You can set this to match any feature type you wish to show. See http://www.ebi.ac.uk/embl/WebFeat/ for a list of the EMBL feature types and see Appendix A of the Swissprot user manual in http://www.expasy.org/sprot/userman.html for a list of the Swissprot feature types. The type may be wildcarded by using '*'. If you wish to show more than one type, separate their names with the character '|', eg: *UTR | intron Default value: *

-minscore float
    Minimum score of feature to display (see also maxscore) Default value: 0.0

-maxscore float
    Maximum score of feature to display. If both minscore and maxscore are zero (the default), then any score is ignored Default value: 0.0

-tagmatch string
    Tags are the types of extra values that a feature may have. By default any feature tag in the feature table is shown. You can set this to match any feature tag you wish to show. The tag may be wildcarded by using '*'. If you wish to show more than one tag, separate their names with the character '|', eg: gene | label Default value: *

-valuematch string
    Tag values are the values associated with a feature tag. Tags are the types of extra values that a feature may have. By default any feature tag value in the feature table is shown. You can set this to match any feature tag value you wish to show. The tag value may be wildcarded by using '*'. If you wish to show more than one tag value, separate their names with the character '|', eg: pax* | 10 Default value: *

-stricttags boolean
    By default if any tag/value pair in a feature matches the specified tag and value, then all the tags/value pairs of that feature will be displayed. If this is set to be true, then only those tag/value pairs in a feature that match the specified tag and value will be displayed. Default value: N

  Advanced section

-threeletter boolean
    Default value: N

-number boolean
    Default value: N

-width integer
    Default value: 60

-length integer

-margin integer
    Default value: 10

-name boolean
    Set this to be false if you do not wish to display the ID name of the sequence Default value: Y

-description boolean
    Set this to be false if you do not wish to display the description of the sequence Default value: Y

-offset integer
    Default value: 1

-html boolean
    Default value: N

  Output section

-outfile outfile

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

showpep is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.